> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get BAV Status V2

> Use this API to check the status of your bank verification requests by passing reference ID or user ID to see if the validation is complete and get the results.

<Note>
  * Cashfree does not support the verification of Deutsche Bank and Paytm Payments Bank accounts.
  * For further queries, please refer to the [Bank Account Verification FAQs](/secure-id/kyc-stack/verify-bank-account#faqs).
</Note>


## OpenAPI

````yaml get /bank-account
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /bank-account:
    get:
      tags:
        - BAV V2
      summary: Get BAV Status V2
      description: >-
        Use this API to check the status of your bank verification requests by
        passing reference ID or user ID to see if the validation is complete and
        get the results.
      operationId: VrsBavGetStatus
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - name: reference_id
          in: query
          description: >-
            It is unique ID you receive in the response of Bank Account
            Verification Sync and Async APIs.
          example: '10'
          schema:
            type: string
        - name: user_id
          in: query
          description: >-
            It is the unique ID created by you to identify the verification
            request for async.
          example: '1234'
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/BavV2GetStatusResponseSchema'
        '400':
          $ref: '#/components/responses/400GetStatusBAVV2'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '404':
          $ref: '#/components/responses/404GetStatusBAVV2'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
  responses:
    BavV2GetStatusResponseSchema:
      description: Success response for Get Details V2.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BAVV2GETValidationSuccessfulSchema'
          examples:
            Valid account:
              value:
                reference_id: 34
                name_at_bank: BHARATHTEST GKUMARUT
                bank_name: YES BANK
                city: MUMBAI
                branch: SANTACRUZ, MUMBAI
                micr: 400532038
                name_match_score: '90.00'
                name_match_result: GOOD_PARTIAL_MATCH
                account_status: VALID
                account_status_code: ACCOUNT_IS_VALID
                utr: '404223241811'
                ifsc_details:
                  bank: YES BANK
                  ifsc: YESB0000262
                  ifsc_subcode: YESB0
                  address: >-
                    GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, MUMBAI -
                    560098
                  city: MUMBAI
                  state: MAHARASHTRA
                  branch: SANTACRUZ, MUMBAI
                  category: SUB_MEMBER
                  swift_code: ABCDINBBDCL
                  micr: 560751026
                  nbin: 1234
            Invalid account:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: INVALID
                account_status_code: INVALID_ACCOUNT_FAIL
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            NRE account:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: INVALID
                account_status_code: NRE_ACCOUNT_FAIL
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            Account blocked:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: INVALID
                account_status_code: ACCOUNT_BLOCKED
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            Invalid IFSC:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: INVALID
                account_status_code: INVALID_IFSC_FAIL
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            Insufficient balance:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: REJECTED
                account_status_code: INSUFFICIENT_BALANCE
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            Fraud account:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: REJECTED
                account_status_code: FRAUD_ACCOUNT
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            Verification blocked:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: REJECTED
                account_status_code: BAV_BLOCKED
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            Concurrent request in progress:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: REJECTED
                account_status_code: VERIFICATION_ALREADY_UNDER_PROCESS
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            Failed at bank:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: FAILED
                account_status_code: FAILED_AT_BANK
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            IMPS mode fail:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: FAILED
                account_status_code: IMPS_MODE_FAIL
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            Benerificary bank declined:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: FAILED
                account_status_code: BENE_BANK_DECLINED
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            Connection timeout:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: FAILED
                account_status_code: CONNECTION_TIMEOUT
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            NPCI unavailable:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: FAILED
                account_status_code: NPCI_UNAVAILABLE
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            Source bank declined:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: FAILED
                account_status_code: SOURCE_BANK_DECLINED
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
            Beneficiary bank offline:
              value:
                reference_id: 34
                name_at_bank: null
                bank_name: null
                city: null
                branch: null
                micr: null
                name_match_score: null
                name_match_result: null
                account_status: FAILED
                account_status_code: BENEFICIARY_BANK_OFFLINE
                utr: null
                ifsc_details:
                  bank: null
                  ifsc: null
                  ifsc_subcode: null
                  address: null
                  city: null
                  state: null
                  branch: null
                  category: null
                  swift_code: null
                  micr: null
                  nbin: null
    400GetStatusBAVV2:
      description: Validation error GetStatus Bav v2.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Missing reference and user ID:
              value:
                type: validation_error
                code: invalid_request
                message: Please provide reference_id or user_id
            Invalid user ID:
              value:
                type: validation_error
                code: user_id_value_invalid
                message: >-
                  user_id should contain only alphanumeric and underscore
                  characters.
            User ID length exceeded:
              value:
                type: validation_error
                code: user_id_length_exceeded
                message: user_id can include a maximum of 40 characters.
            Invalid reference ID:
              value:
                type: validation_error
                code: reference_id_value_invalid
                message: reference_id should be a number.
            Missing header:
              value:
                type: validation_error
                code: x-client-id_missing
                message: x-client-id is missing in the request.
            Using test credentials:
              value:
                type: validation_error
                code: x-client-secret_value_invalid
                message: Client secret belongs to test environment
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    404GetStatusBAVV2:
      description: Reference ID and user ID not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            User ID not found:
              value:
                type: validation_error
                code: user_id_not_found
                message: user_id does not exist.
            Reference ID not found:
              value:
                type: validation_error
                code: reference_id_not_found
                message: reference_id does not exist.
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
  schemas:
    BAVV2GETValidationSuccessfulSchema:
      type: object
      properties:
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.

            format: `int64`
          example: 23
        name_at_bank:
          type: string
          description: It displays the name of the account holder as per the bank records.
          example: JOHN DOE
        bank_name:
          type: string
          description: It displays the name of the bank.
          example: YES BANK
        utr:
          type: string
          description: >-
            It displays the unique transaction reference (UTR) number created by
            the bank to identify the transaction.
          example: '404223241811'
        city:
          type: string
          description: It displays the name of the city where the bank is located.
          example: MUMBAI
        branch:
          type: string
          description: >-
            It displays the name of the branch where the bank account is
            registered.
          example: SANTACRUZ, MUMBAI
        micr:
          type: integer
          description: >-
            It represents the code used to identify banks and branches
            participating in the Electronic Clearing System (ECS).
          example: 33
        name_match_score:
          type: string
          description: It displays the score of the name match verification.
          example: '90.00'
        name_match_result:
          type: string
          description: >-
            It displays the result of the name match verification.

            Possible values are:

            - `DIRECT_MATCH`

            - `GOOD_PARTIAL_MATCH`

            - `MODERATE_PARTIAL_MATCH`

            - `POOR_PARTIAL_MATCH`

            - `NO_MATCH`


            [Click here to view the detailed descriptions of each
            value](https://www.cashfree.com/docs/api-reference/vrs/v2/bav-v2/bav-response-description#name-match-result-description).
          example: GOOD_PARTIAL_MATCH
        account_status:
          type: string
          description: >-
            It displays the status of the bank account.

            Possible values are:

            - `VALID`

            - `INVALID`

            - `RECEIVED`

            - `FAILED`

            - `REJECTED`

            - `APPROVAL_PENDING`

            - `PARTIALLY_APPROVED`

            - `IN_PROCESS`

            - `CANCELLED`

            - `PROCESSING`

            - `MANUALLY_REJECTED`


            [Click here to view the detailed descriptions of each
            value](https://www.cashfree.com/docs/api-reference/vrs/v2/bav-v2/bav-response-description#account-status-description).
          example: VALID
        account_status_code:
          type: string
          description: >-
            It displays the status code of the bank account.

            Possible values are:

            - `ACCOUNT_IS_VALID`

            - `FRAUD_ACCOUNT`

            - `FAILED_AT_BANK`

            - `NPCI_UNAVAILABLE`

            - `CONNECTION_TIMEOUT`

            - `SOURCE_BANK_DECLINED`

            - `BENE_BANK_DECLINED`

            - `IMPS_MODE_FAIL`

            - `BENEFICIARY_BANK_OFFLINE`

            - `VALIDATION_IN_PROGRESS`

            - `INVALID_ACCOUNT_FAIL`

            - `INVALID_IFSC_FAIL`

            - `VERIFICATION_ALREADY_UNDER_PROCESS`

            - `NRE_ACCOUNT_FAIL`

            - `ACCOUNT_BLOCKED`

            - `INSUFFICIENT_BALANCE`


            [Click here to view the detailed descriptions of each
            value](https://www.cashfree.com/docs/api-reference/vrs/v2/bav-v2/bav-response-description#account-status-code-description).
          example: ACCOUNT_IS_VALID
        ifsc_details:
          type: object
          description: It displays the details corresponding to IFSC.
          properties:
            bank:
              type: string
              description: It displays the name of the bank.
              example: YES Bank
            ifsc:
              type: string
              description: It displays the bank's IFSC code.
              example: HDFC000001
            ifsc_subcode:
              type: string
              description: It displays the first five characters of the IFSC.
              example: HDFC0
            address:
              type: string
              description: It displays the address of the bank's branch.
              example: GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, MUMBAI - 560098
            city:
              type: string
              description: It represents the city of the bank's operational address.
              example: MUMBAI
            state:
              type: string
              description: It represents the state of the city where the bank operates.
              example: MAHARASHTRA
            branch:
              type: string
              description: It displays the name of the branch.
              example: SANTACRUZ, MUMBAI
            category:
              type: string
              description: It displays the IFSC category.
              example: SUB_MEMBER
            swift_code:
              type: string
              description: >-
                It represents the code to identify the bank branch that
                processes international transactions.
              example: ABCDINBBDCL
            micr:
              type: integer
              description: >-
                It represents the code used to identify banks and branches
                participating in the Electronic Clearing System (ECS).
              example: 560751026
            nbin:
              type: integer
              description: It represents the national bank identification number (NBIN).
              example: 1234
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````